Subject: bug#16736: Compiling a Lisp file causes display to flash off and on

From: martin rudalics <[email-masked]>
Date: Sun, 16 Feb 2014 18:14:43 +0100

> Btw, the bug was about non-toolkit builds, but at least one of the
 > hunks affects toolkit builds as well.  Not sure if that was intended.

It was intended.  A related bug showed up also on the Windows build.
I then checked the border behavior on all builds I made.

Basically, the changes should only clear areas where display artifacts
show up.  It does that somewhat brute forcish (similar to the Gtk build)
but I can't yet imagine that these could screw up redisplay that much.

martin